/*styles for the single-floor-plan template*/

section.floor-plan-hero  {
    /*min-height: 50vw;*/
    position: relative;
    margin-top: 113px;
}

section.floor-plan-hero .content1 {
    z-index: 2;
    padding: 40px;
    padding-left: 20%;
}

section.floor-plan-hero ul.floorplan-meta{
    list-style: none;
    padding-left: 48px;
}

section.floor-plan-hero ul.floorplan-meta li{
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    display: block;
    line-height: 44px;
}

section.floor-plan-hero ul.floorplan-meta li span{
    font-size: 24px;
    vertical-align: middle;
}

section.floor-plan-hero .back-link {
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    text-align: center;
    text-transform: uppercase;
    color:#fff;
    margin-bottom: 20px;
    display: inline-block;
}

section.floor-plan-hero .back-link span.icon-chevron-right:before{
    transform: rotate(180deg);
    display: inline-block;
    margin-right: 25px;
}

section.floor-plan-hero .section-title {
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 100;
    margin-bottom: 0;
}

section.floor-plan-hero .section-subtitle {
    text-transform: uppercase;
    margin-top: 0;
    color: #fff!important;
}


section.floor-plan-hero .content1 p {
    font-weight: normal;
    font-size: 14px;
    line-height: 24px;
}

section.floor-plan-hero .content2 {
    margin-top: -50px;
}

section.floor-plan-hero ul.icons {
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 60px;
    padding: 0;
}

section.floor-plan-hero ul.icons li{
    width: 90px;
    height: 90px;
    border: none;
    display: inline-flex;
    position: relative;
    flex-shrink: 0;
    border-radius: 50%;
    text-align: center;
    font-style: normal;
    font-weight: 500;
    font-size: 35px;
    text-transform: uppercase;
}

section.floor-plan-hero ul.icons li .label{
    position: absolute;
    bottom:-20px;
    left:-20px;
    right:-20px;
    text-align: center;
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    text-transform: uppercase;
	white-space: nowrap;
}

section.floor-plan-hero .content2 .pas-button{
    display: block;
    margin-top: 20px;
}

section.floor-plan-hero .content2 .buttons.single .pas-button{
    flex-grow: 1;
}

section.floor-plan-hero .buttons {
    display: flex;
    margin-bottom: 40px;
    justify-content: space-between;
}

section.floor-plan-hero .large-plan {
    background-size: contain!important;
    background-repeat: no-repeat!important;
    background-position: center center!important;
}

section.floorplan-slider {
    position: relative;
    padding: 40px 0;
}

section.floorplan-slider .carousel-wrapper{
    display: block;
    width:100%;
}

section.floorplan-slider .arrow {
    width: 40px;
    height: 40px;
    text-align: center;
    border-radius: 50%;
    overflow: hidden;
    cursor: pointer;
    font-size: 18px;
    position: absolute;
    top:48%;
}

section.floorplan-slider .arrow.arrow-left{
    transform: rotate(180deg);
    left:15px;
}

section.floorplan-slider .arrow.arrow-right{
    right:15px;
}

section.floorplan-slider .arrow:hover{
    opacity: 0.9;
    transition: opacity 500ms;
}

section.floorplan-slider .card .plan-content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

section.floorplan-slider .plan-content .title{
    font-style: normal;
    font-weight: bold;
    font-size: 20px;
    line-height: 100%;
    text-transform: uppercase;
    hyphens:auto;    
}

section.floorplan-slider .card .inner{
    padding:30px 15px;
    position: relative;
}

section.floorplan-slider .card .inner >*:not(.card-image) {
    padding: 0 20%;
}

section.floorplan-slider .card .pas-button {
    display: block;
    margin-top: 24px;
    width: 100%;
    margin-left:-15px;
    margin-right:-15px
}

section.floorplan-slider a.more-link{
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 17px;
    text-transform: uppercase;
}


/***********************/
/* Responsive styles */
/***********************/

@media (min-width: 768px){

    section.floor-plan-hero .content2 {
        padding-left: 30%;
    }

    section.floorplan-slider .card .plan-content{
        min-height:520px;
    }

}

@media (max-width: 992px){


    section.floor-plan-hero .buttons{
        flex-direction: column;
    }

    section.floor-plan-hero ul.floorplan-meta{
        padding:0;

    }

    section.floor-plan-hero .floor-plan-header {
        flex-direction: column-reverse;

    }

    section.floor-plan-hero .large-plan.box {
        margin: 40px 0;

    }

    section.floor-plan-hero .floor-plan-header .col-lg-6 {
        padding: 0;

    }

}

@media (min-width: 992px){


    section.floorplan-slider {
        padding: 80px 0;
    }

    section.floor-plan-hero .section-subtitle {
        font-size: 60px;
    }

    section.floor-plan-hero .back-link {
        margin-bottom: 80px;

    }

    section.floor-plan-hero ul.icons {
        justify-content: flex-end;
        margin-right: 98px;
    }

    section.floor-plan-hero ul.icons li{
        margin: 0px 0px 0px 85px;

    }

    section.floor-plan-hero .content2 .pas-button{
        margin-top: 40px;
    }

    section.floor-plan-hero .buttons {
        margin-bottom: 40px;

    }

    section.floorplan-slider .arrow {
        width: 80px;
        height: 80px;
        font-size: 24px;

    }

    section.floor-plan-hero .large-plan {
        background-size: 80%!important;

    }

    section.floor-plan-hero .content2 {
        padding-left: 20%;

    }

}

@media (min-width: 992px){

    section.three-column-cta{
        padding: 40px 0 90px 0;

    }

    section.three-column-cta .cta {
        padding: 50px 40px;
        position: absolute;
        bottom: -20px;
        min-width: 50%;

    }

    section.three-column-cta .cta .arrow{
        right:-40px;
    }
	
	section.three-column-cta{
		padding: 20px 0;
		position: relative;

		/*height: 45vw;*/
	}

	section.three-column-cta .section-subtitle{
	   padding-bottom: 40px;
	}
	section.three-column-cta .cta {
		z-index: 2;
		left: 0;
		background-color: #fff;
		display: flex;
		font-style: normal;
		font-weight: bold;
		font-size: 20px;
		line-height: 100%;
		text-transform: uppercase;
		opacity: 1!important;
		border-bottom: solid 20px;

	}

	section.three-column-cta .cta .arrow{
		width: 80px;
		height: 80px;
		text-align: center;
		border-radius: 50%;
		overflow: hidden;
		cursor: pointer;
		font-size: 24px;
		position: absolute;
		right:10px;

	}

	section.three-column-cta
	{
    	padding: 40px 0 90px 0;
	}
	
}

@media (min-width: 1200px){

    section.floor-plan-hero .content1 {
        /*padding: 40px;*/

    }

    section.floorplan-slider .card .plan-content{
        min-height:400px;
    }

}

@media (min-width: 1800px){


    section.floor-plan-hero .content2 {
        padding-left: 30%;
    }

}


/* arrow position change -j */

@media (min-width: 1800px){
	section.floorplan-slider .arrow.arrow-left{
		left:4%;
	}
	section.floorplan-slider .arrow.arrow-right{
		right:4%;
	}
}

/* change padding floorplans slider */

@media (min-width: 992px){


    section.floorplan-slider {
        padding: 40px 0;
    }
}


/* Floor plan Block change Title + Subtitle */
@media (min-width: 1900px){

    section.floor-plan-hero .content1 {
         padding-left: 320px; 
    }

    section.floorplan-slider .card .plan-content{
        min-height:400px;
    }

}


@media (min-width:992px){
	  section.floor-plan-hero ul.icons {
        justify-content: flex-end;
        margin-right: 24px;
    }
}

section.floor-plan-hero ul.floorplan-meta{
    list-style: none;
    padding-left: 78px;
}


/* icons */

section.floor-plan-hero ul.icons li{
    width: 85px;
    height: 85px;
    font-size: 35px;

}


/* Chaging floor plan font-size */
@media (min-width: 900px) and (max-width:1600px){
	 section.floor-plan-hero .section-subtitle {
        font-size: 40px;
    }

     section.floor-plan-hero .content1 {
         padding-left: 120px;
    }

}

/* Chaging floor plan icon size */
@media (min-width: 992px) and (max-width:1350px){
	section.floor-plan-hero ul.icons li {
		width: 60px;
		height: 60px;
		font-size: 20px;
		margin-left: 63px;
	}
	section.floor-plan-hero ul.icons li .label {
		font-size: 13px;	
	}
}


/* Change floor plan */

section.floor-plan-hero .section-subtitle{
	width: 90%;
	margin-left: 1rem;
}
section.floor-plan-hero .section-title{
	width: 90%;
	margin-left: 1rem;
}



/* single floor plan arrow three column cta  */

section.three-column-cta .cta .arrow{
    text-align: center;
    position: absolute;
    top: 25%;
    left: 85%;
}


/********* Changing the padding according to design (for middle resolutions) -J *******/

/* For regular Resolutions */
   
	section.floorplan-slider .plan-cards .card .plan-content {
        margin-bottom: -110px;
    }
	section.floorplan-slider .plan-cards .card .plan-content{
		min-height:450px;
	}
	section.floorplan-slider .plan-cards {
		margin-top: 1rem!important;
	}	
	section.floorplan-slider a.more-link{
		margin-top:-10rem;
	}
	.floor-plan ul.meta-list {
		margin-top: -9rem
	}
	section.floorplan-slider .card .pas-button {
		margin-top: 0rem !important;
		top:-7rem
	} 

	section.floorplan-slider .plan-content .title{
		width: 120%;
		overflow: hidden;
        text-overflow: ellipsis;
	    display: -webkit-box;
	   -webkit-line-clamp: 2; /* number of lines to show */
	   -webkit-box-orient: vertical;
	}

/* For Middle Resolutions */

@media (min-width: 997px) and (max-width: 1200px) {

	section.floorplan-slider a.more-link{
		margin-top: -13rem;
	}
	.floor-plan ul.meta-list {
		margin-top: -13rem
	}
	section.floorplan-slider .card .pas-button {
		margin-top: 0rem !important;
		top:-13rem
	} 

	section.floorplan-slider .plan-content .title{
		width: 120%;
		overflow: hidden;
        text-overflow: ellipsis;
	    display: -webkit-box;
	   -webkit-line-clamp: 2; /* number of lines to show */
	   -webkit-box-orient: vertical;
	}
}

/* Avoid Overlap floor plan browser and full width column */

@media (min-width: 1200px) and (max-width: 1500px) ){
	section.floorplan-browser.top-overlap .section-header {
		margin-top: -100px;
	}

	section.floorplan-slider a.more-link{
		margin-top:-13rem;
	}
	.floor-plan ul.meta-list {
		margin-top: -9rem
	}
	section.floorplan-slider .card .pas-button {
		margin-top: 0rem !important;
		top:-11rem
	} 

	section.floorplan-slider .plan-content .title{
		width: 120%;
		overflow: hidden;
        text-overflow: ellipsis;
	    display: -webkit-box;
	   -webkit-line-clamp: 2; /* number of lines to show */
	   -webkit-box-orient: vertical;
	}
	
}

 /*Margin change for lower resolutions -j */

@media (min-width:768px) and (max-width: 997px){

	section.floorplan-slider .card .pas-button {
		margin-top: 0rem;
		top: -150px;
	}	

	.floor-plan ul.meta-list {
		margin-top: -14rem;
		margin-bottom: -6.6rem;
	}
	
	section.floorplan-slider a.more-link{
		margin-top:-6.5rem
	}
    
    section.floorplan-slider .plan-content .title{
		width: 120%;
		overflow: hidden;
        text-overflow: ellipsis;
	    display: -webkit-box;
	   -webkit-line-clamp: 2; 
	   -webkit-box-orient: vertical;
	}

	section.floorplan-slider .card .pas-button {
		margin-top: 0rem !important;
		top:-13rem
	} 

}

/*MOBILE*/

@media (max-width: 767px){
	section.floorplan-slider .card .pas-button {
		margin-top: 0rem !important;
		top:5rem
	}

	.floor-plan ul.meta-list {
		margin-top: 1rem;
		margin-bottom: 3.5rem;
	}
	
	section.floorplan-slider a.more-link{
		margin-top:-1rem
	} 

	section.floorplan-slider .card .pas-button {
		margin-top: 8rem !important;
		top:-5.5rem
	}

}













